    001    /*
    002     * Copyright 2010 Red Hat, Inc.
    003     * Red Hat licenses this file to you under the Apache License, version
    004     * 2.0 (the "License"); you may not use this file except in compliance
    005     * with the License.  You may obtain a copy of the License at
    006     *    http://www.apache.org/licenses/LICENSE-2.0
    007     * Unless required by applicable law or agreed to in writing, software
    008     * distributed under the License is distributed on an "AS IS" BASIS,
    009     * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
    010     * implied.  See the License for the specific language governing
    011     * permissions and limitations under the License.
    012     */
    013
    014    package org.hornetq.spi.core.remoting;
    015
    016    import org.hornetq.api.core.HornetQBuffer;
    017
    018    /**
    019     * A BufferDecoder
    020     *
    021     * @author tim
    022     *
    023     *
    024     */
    025    public interface BufferDecoder
    026    {
    027       /**
    028        * called by the remoting system prior to {@link org.hornetq.spi.core.remoting.BufferHandler#bufferReceived(Object, org.hornetq.api.core.HornetQBuffer)}.
    029        * <p/>
    030        * The implementation should return true if there is enough data in the buffer to decode. otherwise false.
    031        *
    032        * @param buffer the buffer
    033        * @return true id the buffer can be decoded..
    034        */
    035       int isReadyToHandle(HornetQBuffer buffer);
    036    }